{
  "id": "e04d37255abd69352e708f87",
  "source": "http",
  "type": "go-type",
  "title": "http.type Cookie ¶",
  "content": "# type http.type Cookie ¶\n\n```\ntype Cookie struct {\n\tName   string\n\tValue  string\n\tQuoted bool // indicates whether the Value was originally quoted\n\n\tPath       string    // optional\n\tDomain     string    // optional\n\tExpires    time.Time // optional\n\tRawExpires string    // for reading cookies only\n\n\t// MaxAge=0 means no 'Max-Age' attribute specified.\n\t// MaxAge\u003c0 means delete cookie now, equivalently 'Max-Age: 0'\n\t// MaxAge\u003e0 means Max-Age attribute present and given in seconds\n\tMaxAge      int\n\tSecure      bool\n\tHttpOnly    bool\n\tSameSite    SameSite\n\tPartitioned bool\n\tRaw         string\n\tUnparsed    []string // Raw text of unparsed attribute-value pairs\n}\n```\n\nA Cookie represents an HTTP cookie as sent in the Set-Cookie header of an\nHTTP response or the Cookie header of an HTTP request.",
  "url": "https://pkg.go.dev/http#type Cookie ¶",
  "metadata": {
    "fields": "null",
    "import_path": "Standard library/net/http",
    "kind": "type",
    "method_count": 0,
    "package": "http",
    "symbol": "type Cookie ¶",
    "type_kind": "alias",
    "underlying": "type Cookie struct {\n\tName   string\n\tValue  string\n\tQuoted bool // indicates whether the Value was originally quoted\n\n\tPath       string    // optional\n\tDomain     string    // optional\n\tExpires    time.Time // optional\n\tRawExpires string    // for reading cookies only\n\n\t// MaxAge=0 means no 'Max-Age' attribute specified.\n\t// MaxAge\u003c0 means delete cookie now, equivalently 'Max-Age: 0'\n\t// MaxAge\u003e0 means Max-Age attribute present and given in seconds\n\tMaxAge      int\n\tSecure      bool\n\tHttpOnly    bool\n\tSameSite    SameSite\n\tPartitioned bool\n\tRaw         string\n\tUnparsed    []string // Raw text of unparsed attribute-value pairs\n}"
  },
  "hash": "228c7df1786726430a79d1f72d01f8c79ce59948eb14ee3081b24e29357b55d8",
  "timestamp": "2026-02-19T12:17:17.237597785+01:00"
}